Attribute VB_Name = "Module1"
'#Reference {C10103E2-BFDA-11D1-984A-00A024CDE0B2}#1.0#0#C:\program files\omnic\omnic32.exe#OmnicCom 1.0 Type Library
Option Explicit
Dim OmApp As OmnicComLib.OmnicApp
Const qe$ = Chr$(34)

Sub Main
    Const fData$ = "c:\Winfilm\Measure\OmnicTemp.spc"
    Const fParam$ = "C:\Winfilm\Measure\SingleBeam.exp"
    Set OmApp = New OmnicComLib.OmnicApp
    AxesDraw  ' clear graph axes
    StatusLabel "Omnic scanning - please wait"
    Busy True
    With OmApp
        .ExecuteCommand "RestoreWindow"
        .ExecuteCommand "ShowToolbar Off"
        .ExecuteCommand "LoadParameters " & qe$ & fParam$ & qe$
        .ExecuteCommand "Invoke CollectSample Auto"
        .ExecuteCommand "Export " & qe$ & fData$ & qe$
        .ExecuteCommand "Clear"
        .ExecuteCommand "MinimizeWindow"
    End With
    StatusLabel ""
    FileOpen fData$, 1
    Replot
    Busy False
End Sub
